# subsequence

subsequence($sourceSeq as item()*, $startingLoc as xs:double) → item()*

Returns those items in the given sequence from the given starting position to the end of the sequence

Arguments
| $sourceSeq | item()* | The input sequence
| $startingLoc | xs:double | The position of the first item from the input sequence to be included in the result
Result | item()*

subsequence($sourceSeq as item()*, $startingLoc as xs:double, $length as xs:double) → item()*

Returns those items in the given sequence from the given starting position to the end of the sequence, or `$length` items if fewer.

Arguments
| $sourceSeq | item()* | The input sequence
| $startingLoc | xs:double | The position of the first item from the input sequence to be included in the result
| $length | xs:double | The number of items to be included in the result
Result | item()*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next